<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "practice_language".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PracticeLanguage".
 *
 * Columns in table "practice_language" available as properties of the model,
 * followed by relations of table "practice_language" available as properties of the model.
 *
 * @property integer $id
 * @property integer $practice_id
 * @property integer $language_id
 *
 * @property Language $language
 * @property Practice $practice
 */
abstract class BasePracticeLanguage extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'practice_language';
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('practice_id, language_id', 'required'),
            array('practice_id, language_id', 'numerical', 'integerOnly' => true),
            array('id, practice, language', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'language' => array(self::BELONGS_TO, 'Language', 'language_id'),
            'practice' => array(self::BELONGS_TO, 'Practice', 'practice_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'practice_id' => Yii::t('app', 'Practice'),
            'language_id' => Yii::t('app', 'Language'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->with = array('practice', 'language');

        $criteria->compare('id', $this->id);
        $criteria->compare('language.name', $this->language, true);
        $criteria->compare('practice.name', $this->practice, true);

        return new CActiveDataProvider(
            get_class($this),
            array(
                'criteria' => $criteria,
                'pagination' => array('pageSize' => 100)
            )
        );
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PracticeLanguange|PracticeLanguanges', $n);
    }

}
